JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Box
- wm.Component
- wm.Container
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable
- wm.Widget

# Class wm.ServiceCallBaseMixin

Defined in: ServiceVariableBase.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.ServiceCallBaseMixin() Infrastructure for encapsulating a wm.Service configuration with a trigger to invoke the configured service.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| autoUpdate Set true to automatically update this service when it's created and anytime the service configuration or input is modified.
| operation Name of the operation to invoke on the service.
| service Name of the service called by this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| onError(inData) onError event fires whenever a service reports an error.
| onResult(inData) onResult event fires whenever a service returns, whether the service returned successfully or reported an error.
| onSuccess(inData) onSuccess event fires whenever a service returns successfully.
| update() Invoke the service.

Class Detail
wm.ServiceCallBaseMixin()
Infrastructure for encapsulating a wm.Service configuration with a trigger to invoke the configured service.
Report errata or suggestions for ServiceCallBaseMixin.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
{String} autoUpdate
Set true to automatically update this service when it's created and anytime the service configuration or input is modified.
Report errata or suggestions for autoUpdate.

{String} operation
Name of the operation to invoke on the service.
Report errata or suggestions for operation.

{String} service
Name of the service called by this object.
Report errata or suggestions for service.
Method Detail
onError(inData)
onError event fires whenever a service reports an error.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onError.

onResult(inData)
onResult event fires whenever a service returns, whether the service returned successfully or reported an error.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onResult.

onSuccess(inData)
onSuccess event fires whenever a service returns successfully.

Parameters:
{Any} inData
  Result data. The format of this data on the service.

Report errata or suggestions for onSuccess.

update()
Invoke the service. Use the onResult, onSuccess, and/or onError events to monitor the outcome of the service call.
Report errata or suggestions for update.

Documentation generated by JsDoc Toolkit 2.0.1 on Mon Aug 25 2008 17:29:16 GMT-0700 (PDT)